import { EventEmitter, OnInit } from "@angular/core";
import { Activity } from "@colijnit/mainapi/build/model/activity.bo";
import { IconCacheService, ScreenConfigAdapterComponent } from "@colijnit/corecomponents_v12";
import { TableName } from "@colijnit/mainapi/build/enum/table-name.enum";
import { CoDocument } from "@colijnit/mainapi/build/model/co-document.bo";
import { ActivitiesTaskConfigNames } from "../../interface/activities-task-config-names";
import { BusinessObjectFactory } from "@colijnit/ioneconnector/build/service/business-object-factory";
import { SharedService } from "../../service/shared.service";
import { TagTreeItem } from "@colijnit/mainapi/build/model/tag-tree-item.bo";
export declare class ModifyTaskFormComponent implements OnInit, ScreenConfigAdapterComponent {
    private _boFactory;
    private sharedService;
    iconCacheService: IconCacheService;
    readonly TableNames: typeof TableName;
    set activity(value: Activity);
    showClass(): boolean;
    get activity(): Activity;
    get hasDocuments(): boolean;
    activityTaskConfigNames: ActivitiesTaskConfigNames;
    readonly: boolean;
    popupContext: boolean;
    set forceReadonly(value: boolean);
    hidden: boolean;
    activityChange: EventEmitter<Activity>;
    statusChange: EventEmitter<boolean>;
    showWorkLog: EventEmitter<void>;
    triggerFired: EventEmitter<void>;
    selectedMenu: string;
    activities: Activity[];
    table: TableName;
    key: string;
    expandActivities: boolean;
    objectConfigName: string;
    required: boolean;
    maxLength: number;
    decimals: number;
    redErrorBackground: boolean;
    showTagPopup: boolean;
    allTags: TagTreeItem[];
    private _activity;
    handleAddDocuments(docs: CoDocument[]): void;
    handleAddDocument(doc: CoDocument): void;
    constructor(_boFactory: BusinessObjectFactory, sharedService: SharedService, iconCacheService: IconCacheService);
    ngOnInit(): void;
    showContent(menu: string): void;
    handleRegisterWork(): void;
    handleSaveActivity(activity: Activity): void;
    handleDeleteActivity(activity: Activity): void;
    handleShowWorkLow(): void;
    handleEditTags(): void;
    handleSaveTags(tags: TagTreeItem[]): void;
    handleTriggerFired(): void;
    private _updateTaskObject;
    private _getActivities;
    private _getTags;
}
